Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.common.logging
Class LogFactory

    java.lang.Object
      kieker.common.logging.LogFactory

    public final class LogFactory

extends Object

This factory class should be used to get new logger instances. It initializes the logging system based on the available classes.

Since:
  1.5
Author:
  Jan Waller

Field Summary
`static String` | `CUSTOM_LOGGER_JVM` This constant should point to the fully qualified class name of the custom JVM logger.

Method Summary
`static Log` | `getLog(Class<?> clazz)` Delivers the log for the given class or creates a new one if it doesn't exist already.
`static Log` | `getLog(String name)` Delivers the log for the given name or creates a new one if it doesn't exist already.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUSTOM_LOGGER_JVM

    public static final String CUSTOM_LOGGER_JVM

  This constant should point to the fully qualified class name of the custom JVM logger.

  See Also:
    Constant Field Values

Method Detail

### getLog

    public static final Log getLog(Class<?> clazz)

  Delivers the log for the given class or creates a new one if it doesn't exist already.

  Parameters:
    `clazz` - The corresponding class.
  Returns:
    A logger for the given class.

### getLog

    public static final Log getLog(String name)

  Delivers the log for the given name or creates a new one if it doesn't exist already.

  Parameters:
    `name` - The corresponding name.
  Returns:
    A logger for the given name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net